// foreach_reverse..loop examples in D - last tested with D v1.0
// To Compile: C:\dmd\MKoD_ex>dmd foreach_reverse.d
private import std.stdio;

int main()
{

    int[]  ix = [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ];
    char[] sAlpha = "ABCDEFGHIJ";
    
    writefln( "foreach_reverse..loop 10 to 1 (with an index)" );
    foreach_reverse( int iy, int iz; ix )
    {
        writefln( "ix[ %d ]=%d == iz=%2d", iy, ix[ iy ], iz );
    }
    
    writefln();
    
    writefln( "foreach_reverse..loop 10 to 1 (without an index)" );
    foreach_reverse( int iz; ix )
    {
        writefln( "ix[]=%d", iz );
    }

    writefln();
    
    writefln( "foreach_reverse..loop J to A (with an index)" );
    foreach_reverse( int ix, dchar dc; sAlpha )
    {
        writefln( "sAlpha[ %d ]=%s == dc=%s", ix, sAlpha[ ix ], dc );
    }        
    return 0;
    
} // end int main()