// ** foreach.d - last tested with D v1.0
// foreach..loop examples in D
// To Compile: C:\dmd\MKoD_ex>..\bin\dmd foreach.d
private import std.stdio;

int main()
{

    int[]  ix = [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ];
    char[] sAlpha = "ABCDEFGHIJ";
    
    writefln( "foreach..loop 1 to 10 (with an index)" );
    foreach( int iy, int iz; ix )
    {
        writefln( "ix[ %d ]=%d == iz=%2d", iy, ix[ iy ], iz );
    }
    
    writefln();
    
    writefln( "foreach..loop 1 to 10 (without an index)" );
    foreach( int iz; ix )
    {
        writefln( "ix[]=%d", iz );
    }

    writefln();
    
    writefln( "foreach..loop A to J (with an index)" );
    foreach( int ix, dchar dc; sAlpha )
    {
        writefln( "sAlpha[ %d ]=%s == dc=%s", ix, sAlpha[ ix ], dc );
    }        
    return 0;
    
} // end int main()