// ** whileloop.d - last tested with D v0.1.0
// while..loop and do..while examples in D
// To Compile: C:\dmd\MKoD_ex>\dmd whileloop.d
private import std.stdio;

int main()
{
    int ix = 0;
    
    writefln( "while..loop 1 to 10 (is using main's ix, which equal 0)" );
    while ( ix < 10 )
        writefln( " ix=%d", ++ix ); //pre-addition happens before it's printed
        
    writefln();
    
    writefln( "while..loop 10 to 1 (is using main's ix, which now equals 10)" );    
    while ( ix > 1 )
        writefln( " ix=%d", --ix ); //pre-subraction happens before it's printed

    writefln();
 
    ix = 0;
    writefln( "do..while loop, 1 to 10 step by 2" );    
    do
    {
        ix += 2;
        writefln( " ix=%d", ix );
        
    } while ( ix < 10 )
    
    writefln();
   
    ix = 0;
    writefln( "forever while..loop, that breaks out on 10" );  
    while ( true )
    {
        ix++;
        writefln( " ix=%d", ix );
        if ( ix == 10 ) break;
    }
            
    return 0;
    
} // end int main()